## dune-istl 2.2~svn1538

=== debian/changelog ===
dune-istl (2.2~svn1538-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Mar 2012 17:20:16 +0100
