## dune-istl 2.2.0

=== debian/changelog ===
dune-istl (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:31:10 +0200

dune-istl (2.2~svn1573-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:27:20 +0200
