=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2~)
+ libdune-common-dev (>= 2.2.0)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-istl-dev
 Section: libdevel
 Architecture: all
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.2~)
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.2.0)
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- iterative solvers (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
