## dune-istl 2.2.1

=== debian/changelog ===
dune-istl (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 13:38:00 +0200

dune-istl (2.2.1-1) experimental; urgency=low

  * debian/copyright: Update for new upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 03:04:10 +0100
