=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk
DUNE_DEBIAN_CONFIGURE_FLAGS += --libdir='$${prefix}/lib'

%:
	dh $@ --parallel
