## dune-istl 2.3.1

=== debian/changelog ===
dune-istl (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:59:56 +0200

dune-istl (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 20:47:18 +0200

dune-istl (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * libdune-istl-dev.install: Install /usr/share/dune-istl.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:40:54 +0100

dune-istl (2.3~20140117g08c9a059-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-istl-dev.install: Install /usr/lib/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 22:55:52 +0100

dune-istl (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:45:19 +0100

dune-istl (2.3~20131228ge5739c8-1) experimental; urgency=medium

  * New upstream snapshot.
  * Bumped Standards-Version to 3.9.5.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * debian/control: Use canonical Vcs-* URIs.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:55:58 +0100
