=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-istl.git
-Vcs-Git: git://git.debian.org/debian-science/packages/dune-istl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-istl.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-istl.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.1)
+ libdune-common-dev (>= 2.3.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-istl-dev
 Section: libdevel
 Architecture: all
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.2.1)
-Pre-Depends: dpkg (>= 1.15.6)
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.3.1)
 Description: toolbox for solving PDEs -- iterative solvers (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -30,7 +29,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- iterative solvers (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
