## dune-istl 2.4.0

=== debian/changelog ===
dune-istl (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:39:59 +0200

dune-istl (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * Add (build-)dep on libsuitesparse-dev to enable UMFPack support.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:55:32 +0200

dune-istl (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 16:13:45 +0200

dune-istl (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:09:18 +0200

dune-istl (2.4~20150610g6e80ced-1) experimental; urgency=medium

  * New upstream snapshot.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 20 Jun 2015 00:03:20 +0200

dune-istl (2.4~20150506gee6e5f6-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Update for new upstream snapshot.
  * Add Build-Depends-Indep: graphviz for "dot".
  * (Build-)Depend on last dune-common upload.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:36:44 +0200
