=== m4/CMakeLists.txt ===
install(PROGRAMS
  dune_istl.m4 pardiso.m4 superlu-dist.m4 superlu.m4
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/aclocal)
