=== doc/doxygen/CMakeLists.txt ===
# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()
