=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
    btdmatrix.hh
    bvector.hh
    colcompmatrix.hh
-   diagonalmatrix.hh
    gsetc.hh
    ilu.hh
    ilusubdomainsolver.hh
