=== dune/istl/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,10 @@
 set(NORMALTEST
   basearraytest
+  bcrsassigntest
   bvectortest
   bcrsbuildtest
   bcrsimplicitbuildtest
+  complexmatrixtest
   dotproducttest
   iotest
   inverseoperator2prectest
@@ -50,7 +52,9 @@
 
 # Provide source files
 add_executable(basearraytest "basearraytest.cc")
+add_executable(bcrsassigntest "bcrsassigntest.cc")
 add_executable(dotproducttest "dotproducttest.cc")
+add_executable(complexmatrixtest "complexmatrixtest.cc")
 add_executable(matrixutilstest "matrixutilstest.cc")
 add_executable(matrixtest "matrixtest.cc")
 add_executable(bvectortest "bvectortest.cc")
@@ -120,3 +124,6 @@
   target_link_libraries(${_exe} "dunecommon")
   add_test(${_exe} ${_exe})
 endforeach(_exe ${ALLTESTS})
+
+exclude_from_headercheck(
+  complexdata.hh)
