=== debian/changelog ===
dune-istl (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:28:13 +0100

dune-istl (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.
  * Mark packages as Multi-Arch: foreign.
  * debian/control: Update Vcs-* fields.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 14:19:01 +0100
