=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-istl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-istl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-istl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-istl.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.0),
+ libdune-common-dev (>= 2.4.1),
  libsuitesparse-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-istl-dev
 Section: libdevel
 Architecture: all
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.4.0),
+Multi-Arch: foreign
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.4.1),
  libsuitesparse-dev
 Suggests: libdune-istl-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- iterative solvers (development files)
@@ -31,6 +32,7 @@
 Package: libdune-istl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: toolbox for solving PDEs -- iterative solvers (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
