## dune-istl 2.5.0

=== debian/changelog ===
dune-istl (2.5.0-2) unstable; urgency=medium

  * Use correct type for second template argument of `std::array`.
    (Closes: #860666)
    + patch: 0001-Merge-branch-bugfix-build-failure-on-i386-into-maste.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 20 Apr 2017 19:36:09 +0200

dune-istl (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 13:24:43 +0100

dune-istl (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:29:29 +0100

dune-istl (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:43:12 +0100
