=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
+add_subdirectory("eigenvalue")
 add_subdirectory("paamg")
 add_subdirectory("tutorial")
-add_subdirectory("test" EXCLUDE_FROM_ALL)
+add_subdirectory(test)
 
 #install headers
 install(FILES
@@ -15,6 +16,7 @@
    ilusubdomainsolver.hh
    io.hh
    istlexception.hh
+   ldl.hh
    matrix.hh
    matrixindexset.hh
    matrixmarket.hh
@@ -38,6 +40,7 @@
    solver.hh
    solvers.hh
    solvertype.hh
+   spqr.hh
    superlu.hh
    supermatrix.hh
    umfpack.hh
