=== debian/changelog ===
dune-istl (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867078)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 12:01:32 +0200

dune-istl (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Remove patch (applied upstream).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 17:04:38 +0200
