=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-istl.git
@@ -9,15 +9,15 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.0),
+ libdune-common-dev (>= 2.5.1),
  libsuitesparse-dev
-Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, pgf
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 
 Package: libdune-istl-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.5.0),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.5.1),
  libsuitesparse-dev
 Suggests: libdune-istl-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- iterative solvers (development files)
