=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 #install headers
 install(FILES
+   allocator.hh
    basearray.hh
    bcrsmatrix.hh
    bdmatrix.hh
@@ -12,6 +13,7 @@
    bvector.hh
    colcompmatrix.hh
    gsetc.hh
+   ildl.hh
    ilu.hh
    ilusubdomainsolver.hh
    io.hh
@@ -42,6 +44,7 @@
    solvertype.hh
    spqr.hh
    superlu.hh
+   superlufunctions.hh
    supermatrix.hh
    umfpack.hh
    vbvector.hh
