=== dune/istl/test/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,8 @@
 dune_add_test(SOURCES bcrsassigntest.cc)
 
 dune_add_test(SOURCES bcrsnormtest.cc)
+
+dune_add_test(SOURCES cgconditiontest.cc)
 
 dune_add_test(SOURCES dotproducttest.cc)
 
@@ -19,6 +21,9 @@
 dune_add_test(SOURCES matrixutilstest.cc)
 
 dune_add_test(SOURCES matrixtest.cc)
+
+dune_add_test(SOURCES multirhstest.cc)
+  add_dune_vc_flags(multirhstest)
 
 dune_add_test(SOURCES bvectortest.cc)
 
@@ -49,36 +54,33 @@
 
 dune_add_test(SOURCES solveraborttest.cc)
 
-# Pardiso tests
-dune_add_test(SOURCES test_pardiso.cc)
+# SuperLU tests
+  dune_add_test(NAME superlustest
+                SOURCES superlutest.cc
+                COMPILE_DEFINITIONS SUPERLU_NTYPE=0)
 
-# SuperLU tests
-dune_add_test(NAME superlustest
-              SOURCES superlutest.cc
-              COMPILE_DEFINITIONS SUPERLU_NTYPE=0)
+  dune_add_test(SOURCES superlutest.cc)
 
-dune_add_test(SOURCES superlutest.cc)
+  dune_add_test(NAME superluctest
+                SOURCES superlutest.cc
+                COMPILE_DEFINITIONS SUPERLU_NTYPE=2)
 
-dune_add_test(NAME superluctest
-              SOURCES superlutest.cc
-              COMPILE_DEFINITIONS SUPERLU_NTYPE=2)
+  dune_add_test(NAME superluztest
+                SOURCES superlutest.cc
+                COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
 
-dune_add_test(NAME superluztest
-              SOURCES superlutest.cc
-              COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
-
-dune_add_test(SOURCES complexrhstest.cc
-              COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
+  dune_add_test(SOURCES complexrhstest.cc
+                COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
 
 # SuiteSparse tests
-dune_add_test(SOURCES umfpacktest.cc)
-set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "umfpack_decomp")
+  dune_add_test(SOURCES umfpacktest.cc)
+  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "umfpack_decomp")
 
 dune_add_test(SOURCES ldltest.cc)
 
 dune_add_test(SOURCES spqrtest.cc)
 
-dune_add_test(SOURCES overlappingschwarztest.cc)
+  dune_add_test(SOURCES overlappingschwarztest.cc)
 
 # MPI tests
 dune_add_test(SOURCES matrixredisttest.cc
@@ -87,6 +89,8 @@
 dune_add_test(SOURCES vectorcommtest.cc
               CMAKE_GUARD MPI_FOUND)
 
-dune_add_test(SOURCES matrixmarkettest.cc)
+  dune_add_test(SOURCES matrixmarkettest.cc)
+
+dune_add_test(SOURCES iluildltest.cc)
 
 exclude_from_headercheck(complexdata.hh)
