=== debian/changelog ===
dune-istl (2.6.0-2) unstable; urgency=medium

  * backport patches to fix compiler error and warnings with GCC 8.
    (Closes: #906351)
    + new patch: 0001-CompPair-make-operator-a-const-method.patch
    + new patch: 0002-do-not-catch-polymorphic-types-by-value.patch
    + new patch: 0003-silence-warnings-about-unused-variables.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 28 Sep 2018 21:05:16 +0200

dune-istl (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 00:31:44 +0200

dune-istl (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * add (Build-)Depends: libsuperlu-dev
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Jan 2018 19:12:54 +0100

dune-istl (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-istl-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Nov 2017 09:18:33 +0100
