=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-istl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-istl.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
+Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1),
- libsuitesparse-dev
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.6.0),
+ libsuitesparse-dev,
+ libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-istl-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.5.1),
- libsuitesparse-dev
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.6.0),
+ libsuitesparse-dev,
+ libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- iterative solvers (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -34,6 +37,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- iterative solvers (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
